commit 8ea12b87ec867ac07ffc0449a5cb5d8108a88527
Author: Haochen Jiang <haochen.jiang@intel.com>
Date:   Fri Jul 11 10:16:52 2025

    i386: Remove KEYLOCKER related feature since Panther Lake and Clearwater Forest
    
    According to July 2025 SDM, Key locker will no longer be supported on
    hardware 2025 onwards. This means for Panther Lake and Clearwater Forest,
    the feature will not be enabled. Remove them from those two platforms.
    
    gcc/ChangeLog:
    
            * config/i386/i386.h (PTA_PANTHERLAKE): Revmoe KL and WIDEKL.
            (PTA_CLEARWATERFOREST): Ditto.
            * doc/invoke.texi: Revise documentation.

diff --git a/gcc/config/i386/i386.h b/gcc/config/i386/i386.h
index 6a833fd8dbd..2aed6a2b773 100644
--- a/gcc/config/i386/i386.h
+++ b/gcc/config/i386/i386.h
@@ -2432,10 +2432,11 @@ constexpr wide_int_bitmask PTA_ARROWLAKE = PTA_ALDERLAKE | PTA_AVXIFMA
   | PTA_AVXVNNIINT8 | PTA_AVXNECONVERT | PTA_CMPCCXADD | PTA_UINTR;
 constexpr wide_int_bitmask PTA_ARROWLAKE_S = PTA_ARROWLAKE | PTA_AVXVNNIINT16
   | PTA_SHA512 | PTA_SM3 | PTA_SM4;
-constexpr wide_int_bitmask PTA_CLEARWATERFOREST = PTA_SIERRAFOREST
-  | PTA_AVXVNNIINT16 | PTA_SHA512 | PTA_SM3 | PTA_SM4 | PTA_USER_MSR
-  | PTA_PREFETCHI;
-constexpr wide_int_bitmask PTA_PANTHERLAKE = PTA_ARROWLAKE_S | PTA_PREFETCHI;
+constexpr wide_int_bitmask PTA_CLEARWATERFOREST =
+  (PTA_SIERRAFOREST & (~(PTA_KL | PTA_WIDEKL))) | PTA_AVXVNNIINT16 | PTA_SHA512
+  | PTA_SM3 | PTA_SM4 | PTA_USER_MSR | PTA_PREFETCHI;
+constexpr wide_int_bitmask PTA_PANTHERLAKE =
+  (PTA_ARROWLAKE_S & (~(PTA_KL | PTA_WIDEKL))) | PTA_PREFETCHI;
 constexpr wide_int_bitmask PTA_KNM = PTA_KNL | PTA_AVX5124VNNIW
   | PTA_AVX5124FMAPS | PTA_AVX512VPOPCNTDQ;
 
